---
title: FileReader.readAsText()
slug: Web/API/FileReader/readAsText
tags:
  - API
  - File API
  - Files
  - Method
  - Reference
---
<div>{{APIRef("File API")}}</div>

<p>The <strong><code>readAsText()</code></strong> method is used to read the contents of the specified {{domxref("Blob")}} or {{domxref("File")}}. When the read operation is complete, the {{domxref("FileReader.readyState","readyState")}} is changed to <code>DONE</code>, the {{event("loadend")}} event is triggered, and the {{domxref("FileReader.result","result")}} property contains the contents of the file as a text string.</p>

<div class="notecard note">
<p><strong>Newer API avaliable</strong><br>
 The {{domxref("Blob.text()")}} method is a newer promise-based API to read a file as text.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>instanceOfFileReader</em>.readAsText(blob[, encoding]);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>blob</code></dt>
 <dd>The {{domxref("Blob")}} or {{domxref("File")}} from which to read.</dd>
 <dt><code>encoding</code> {{optional_inline}}</dt>
 <dd>A string specifying the encoding to use for the returned data. By default, UTF-8 is assumed if this parameter is not specified.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("File API", "#readAsDataText", "readAsText()")}}</td>
   <td>{{Spec2("File API")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FileReader.readAsText")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("FileReader")}}</li>
</ul>
